Get Pending Outbound SMS
curl --request GET \
--url https://{brand_domain}/api/mobile/v1/sms/queues \
--header 'Authorization: Bearer <token>'import requests
url = "https://{brand_domain}/api/mobile/v1/sms/queues"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{brand_domain}/api/mobile/v1/sms/queues', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": 452,
"phone": "+8801700000000",
"message": "Your payment of Tk 500.00 has been verified.",
"status": "pending",
"created_at": "2026-06-23T14:17:15Z"
}
]
}Get Pending Outbound SMS
Lists up to 20 pending outbound SMS messages configured by the merchant panel that are waiting to be dispatched through this device’s SIM.
GET
/
api
/
mobile
/
v1
/
sms
/
queues
Get Pending Outbound SMS
Last modified on July 12, 2026
Related topics
List Outbound SMS QueueRetry Outbound SMSList SMS TemplatesRetrieve SMS Filter RulesSubmit Received SMSWas this page helpful?
⌘I